Bug 1004047 - prop* union types do not allow common property separators
prop* union types do not allow common property separators
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: ER7
: 6.0.0
Assigned To: tcunning
Tomas Rohovsky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 15:07 EDT by Keith Babo
Modified: 2016-01-04 00:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1676 Major Closed prop* union types do not allow common property separators 2014-06-16 19:52:18 EDT

  None (edit)
Description Keith Babo 2013-09-03 15:07:38 EDT
Using "." and "-" in property names is very common and our current definitions for property values in the SY schema do not allow for them.  Small fix to the regex pattern in the schema will take care of this.
Comment 2 JBoss JIRA Server 2013-09-12 16:08:22 EDT
Tom Cunningham <tcunning@redhat.com> made a comment on jira SWITCHYARD-1676

Added ".", "-", and "_".
Comment 3 JBoss JIRA Server 2013-09-26 09:07:05 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1676

pushed
Comment 7 JBoss JIRA Server 2014-06-16 19:52:19 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1676 to Closed

Note You need to log in before you can comment on or make changes to this bug.